<header style="position: sticky; top: 0; left: 0; z-index: 999;">
  <nav class="navbar navbar-expand-lg navbar-dark bg-primary mb-3">
    <div class="container-fluid">
      <a class="navbar-brand" routerLink="/">
        <img src="../../../../../assets/images/Goalak-logo-w.png" alt="Goalak">
      </a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" aria-expanded="false"
        aria-label="Toggle navigation" (click)="isCollapsed = !isCollapsed" [attr.aria-expanded]="!isCollapsed">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse">
        <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
          <li class="nav-item" *ngIf="isLoggedIn">
            <a class="nav-link" href="#">My Prediction</a>
          </li>
          <li class="nav-item" *ngIf="isLoggedIn">
            <a class="nav-link" href="#">Results</a>
          </li>
          <li class="nav-item" *ngIf="isLoggedIn">
            <a class="nav-link" href="#">Winner's Name</a>
          </li>
          <li class="nav-item" *ngIf="isLoggedIn">
            <a class="nav-link" href="#">Our Prices</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">EN</a>
          </li>
          <li class="nav-item" *ngIf="isLoggedIn" [matMenuTriggerFor]="profileMenu">
            <img class="profile" src="../../../../../assets/images/profile.png" alt="">
          </li>
          <mat-menu #profileMenu="matMenu">
            <button mat-menu-item (click)="showMyAccount()">My Account</button>
            <button mat-menu-item (click)="logout()">Log Out</button>
          </mat-menu>
          <li class="nav-item" *ngIf="!isLoggedIn" #menuTrigger="matMenuTrigger" [matMenuTriggerFor]="menu" (click)="openLoginDialog()">
            <a class="nav-link">Login</a>
          </li>
          <mat-menu #menu="matMenu">
            <app-login (closeMenuEvent)="closeLoginDialog()" [formType]="'login'" #loginPage></app-login>
          </mat-menu>
        </ul>
      </div>
    </div>
  </nav>
</header>